Commit 97f8ecee authored by Natanael Copa's avatar Natanael Copa

main/postgrey: moved from testing, incl dependencies

Trying to clean up the mess.
parent 651a02df
# Maintainer: Leonardo Arena <rnalrg@gmail.com>
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Michael Mason <ms13sp@gmail.com>
pkgname=postgrey
pkgver=1.32
pkgrel=0
pkgdesc="Postfix Greylisting Policy Server"
pkgrel=2
pkgdesc="Postfix policy server implementing greylisting"
url="http://postgrey.schweikert.ch/"
license="GPL-2"
depends="perl-net-server perl-io-multiplex perl-db postfix"
license="GPL"
depends="perl perl-db perl-net-dns perl-net-server perl-io-multiplex
perl-net-rblclient perl-parse-syslog"
pkgusers="postgrey"
pkggroups="postgrey"
makedepends=""
install="$pkgname.pre-install"
subpackages="$pkgname-doc"
source="http://postgrey.schweikert.ch/pub/$pkgname-$pkgver.tar.gz"
install=postgrey.pre-install
subpackages=""
source="http://postgrey.schweikert.ch/pub/$pkgname-$pkgver.tar.gz
postgrey.confd
postgrey.initd"
build() {
cd "$srcdir"/$pkgname-$pkgver
mkdir -p -m0770 $pkgdir/var/spool/postfix/postgrey
chown postgrey.postgrey $pkgdir/var/spool/postfix/postgrey
install -m755 -D postgrey $pkgdir/usr/sbin/postgrey
install -m755 -D policy-test $pkgdir/usr/bin/policy-test
install -m755 -D contrib/postgreyreport $pkgdir/usr/bin/postgreyreport
install -m644 -D postgrey_whitelist_recipients $pkgdir/etc/postfix/postgrey_whitelist_recipients
install -m644 -D postgrey_whitelist_clients $pkgdir/etc/postfix/postgrey_whitelist_clients
install -m644 -D README $pkgdir/usr/share/doc/$pkgname/README
install -m644 -D Changes $pkgdir/usr/share/doc/$pkgname/Changes
install -m644 -D COPYING $pkgdir/usr/share/doc/$pkgname/COPYING
install -m755 -D ../../postgrey.init $pkgdir/etc/init.d/postgrey
install -m644 -D ../../postgrey.conf $pkgdir/etc/conf.d/postgrey
install -m755 -D $pkgname "$pkgdir"/usr/sbin/$pkgname
mkdir -p "$pkgdir"/var/spool/postfix/$pkgname
chown postgrey:postgrey "$pkgdir"/var/spool/postfix/$pkgname
chmod 770 "$pkgdir"/var/spool/postfix/$pkgname
install -m755 -D contrib/postgreyreport "$pkgdir"/usr/bin/postgreyreport
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D postgrey_whitelist_clients "$pkgdir"/etc/postfix/postgrey_whitelist_clients
install -m644 -D postgrey_whitelist_recipients "$pkgdir"/etc/postfix/postgrey_whitelist_recipients
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}
md5sums="524a4e165bf997996f3bccade394712f postgrey-1.32.tar.gz"
md5sums="524a4e165bf997996f3bccade394712f postgrey-1.32.tar.gz
caaad5770ab07fb5af3bbd522a05b84f postgrey.confd
d0611b244202c77ad7ad79862721a738 postgrey.initd"
# Config file for /etc/init.d/postgrey
# LISTEN TYPE
# Set to 'inet' if you want to use a TCP socket.
# Set to 'unix' if you want to use an UNIX socket.
POSTGREY_TYPE="inet"
# HOST
# What IP should postgrey bind to?
# Leave unchanged unless you know what you are doing.
# (ignored if POSTGREY_TYPE is set to 'unix')
POSTGREY_HOST="127.0.0.1"
# PORT
# What TCP port should postgrey listen on?
# (ignored if POSTGREY_TYPE is set to 'unix')
POSTGREY_PORT="10030"
# SOCKET
# Unix socket to listen on, if POSTGREY_TYPE is set to 'unix'.
# Leave unchanged unless you know what you are doing.
# (ignored if POSTGREY_TYPE is set to 'inet')
POSTGREY_SOCKET="/var/spool/postfix/private/postgrey"
# PID
# Postgrey pid file.
# Do not change, if you don't know what this is!
POSTGREY_PID="/var/run/postgrey.pid"
# DELAY
# How long to delay mail that is greylisted in seconds.
POSTGREY_DELAY=60
# TEXT
# The response we'll send back with delayed mail.
POSTGREY_TEXT="Greylisted for %s seconds"
# Additional Postgrey options
#
# -v, --verbose increase verbosity level
# --max-age=N delete entries older than N days since the last time
# that they have been seen (default: 30)
# --retry-window=N allow only N days for the first retrial (default: 2)
# append 'h' if you want to specify it in hours
# --greylist-action=A if greylisted, return A to Postfix (default: DEFER_IF_PERMIT)
# --lookup-by-subnet strip the last 8 bits from IP addresses (default)
# --lookup-by-host do not strip the last 8 bits from IP addresses
# --whitelist-clients=FILE default: /etc/postfix/postgrey_whitelist_clients
# --whitelist-recipients=FILE default: /etc/postfix/postgrey_whitelist_recipients
#
# Note that the --whitelist-x options can be specified multiple times, and that
# per default /etc/postfix/postgrey_whitelist_clients.local is also read, so
# that you can put there local entries.
#
POSTGREY_OPTS=""
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/mail-filter/postgrey/files/postgrey.rc.new,v 1.10 2008/05/21 18:45:44 dertobi123 Exp $
conf="/etc/conf.d/postgrey"
opts="${opts} reload"
depend() {
need net
before postfix
provide postfix_greylist
}
conf_error() {
eerror "You need to setup ${conf} first"
return 1
}
checkconfig() {
if [ -z "${POSTGREY_TYPE}" ]
then
einfo "You need to choose the server type you want"
einfo "by setting the POSTGREY_TYPE variable in ${conf}."
else
if [ "x${POSTGREY_TYPE}" = "xinet" ]
then
if [ -z "${POSTGREY_PORT}" ] || [ -z "${POSTGREY_HOST}" ]
then
einfo "The following entries are missing in ${conf}:"
[ -z "${POSTGREY_HOST}" ] && einfo " - POSTGREY_HOST"
[ -z "${POSTGREY_PORT}" ] && einfo " - POSTGREY_PORT"
conf_error
fi
POSTGREY_ADDR="${POSTGREY_TYPE}=${POSTGREY_HOST}:${POSTGREY_PORT}"
else
if [ -z "${POSTGREY_SOCKET}" ]
then
einfo "The following entries are missing in ${conf}:"
[ -z "${POSTGREY_SOCKET}" ] && einfo " - POSTGREY_SOCKET"
conf_error
fi
POSTGREY_ADDR="${POSTGREY_TYPE}=${POSTGREY_SOCKET}"
fi
fi
if [ -z "${POSTGREY_PID}" ]
then
einfo "The following entries are missing in ${conf}:"
[ -z "${POSTGREY_PID}" ] && einfo " - POSTGREY_PID"
conf_error
fi
}
start() {
checkconfig || return 1
ebegin "Starting Postgrey"
# HACK -- start a subshell and corrects perms on the socket...
( if [ "x${POSTGREY_TYPE}" = "xunix" ]; then
rm -f ${POSTGREY_SOCKET};
while ! test -S ${POSTGREY_SOCKET}; do sleep 1; done;
chmod a+rw,a-x ${POSTGREY_SOCKET}; fi ) &
if [ -z ${POSTGREY_DELAY} ] ; then
POSTGREY_DELAY_ARG=""
else
POSTGREY_DELAY_ARG="--delay=${POSTGREY_DELAY}"
fi
if [ -z "${POSTGREY_TEXT}" ] ; then
POSTGREY_TEXT_ARG=""
else
POSTGREY_TEXT_ARG="--greylist-text=${POSTGREY_TEXT}"
fi
start-stop-daemon --start --quiet --background \
--pidfile=${POSTGREY_PID} \
--name postgrey \
--exec /usr/sbin/postgrey -- \
--${POSTGREY_ADDR} \
--daemonize \
--pidfile=${POSTGREY_PID} \
${POSTGREY_DELAY_ARG} \
${POSTGREY_OPTS} \
"${POSTGREY_TEXT_ARG}"
eend ${?}
}
stop() {
ebegin "Stopping Postgrey"
start-stop-daemon --stop --quiet --pidfile ${POSTGREY_PID}
eend ${?}
}
reload() {
ebegin "Reloading Postgrey"
start-stop-daemon --stop --signal HUP --oknodo --pidfile ${POSTGREY_PID}
eend $?
}
#!/bin/sh
adduser -h /var/spool/postfix/postgrey -g postgrey -s /bin/false -D postgrey &>/dev/null
addgroup postgrey 2>/dev/null
adduser -H -h /dev/null -s /bin/false -D postgrey 2>/dev/null
exit 0
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Michael Mason <ms13sp@gmail.com>
pkgname=perl-io-multiplex
_realname=IO-Multiplex
pkgver=1.10
pkgrel=0
pkgdesc="Manage IO on many file handles"
url="http://search.cpan.org/dist/IO-Multiplex/"
license="unknown"
depends="perl"
makedepends="perl-dev"
install=
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/B/BB/BBB/$_realname-$pkgver.tar.gz"
build() {
cd "$srcdir/$_realname-$pkgver"
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
make || return 1
make DESTDIR="$pkgdir" install
# creates file collision among perl modules
find "$pkgdir" -name perllocal.pod -delete
}
md5sums="ce230ee0a4afbff59da66f0c42e0340b IO-Multiplex-1.10.tar.gz"
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Michael Mason <ms13sp@gmail.com>
pkgname=postgrey
pkgver=1.32
pkgrel=2
pkgdesc="Postfix policy server implementing greylisting"
url="http://postgrey.schweikert.ch/"
license="GPL"
depends="perl perl-db perl-net-dns perl-net-server perl-io-multiplex
perl-net-rblclient perl-parse-syslog"
pkgusers="postgrey"
pkggroups="postgrey"
makedepends=""
install=postgrey.pre-install
subpackages=""
source="http://postgrey.schweikert.ch/pub/$pkgname-$pkgver.tar.gz
postgrey.confd
postgrey.initd"
build() {
cd "$srcdir"/$pkgname-$pkgver
install -m755 -D $pkgname "$pkgdir"/usr/sbin/$pkgname
mkdir -p "$pkgdir"/var/spool/postfix/$pkgname
chown postgrey:postgrey "$pkgdir"/var/spool/postfix/$pkgname
chmod 770 "$pkgdir"/var/spool/postfix/$pkgname
install -m755 -D contrib/postgreyreport "$pkgdir"/usr/bin/postgreyreport
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D postgrey_whitelist_clients "$pkgdir"/etc/postfix/postgrey_whitelist_clients
install -m644 -D postgrey_whitelist_recipients "$pkgdir"/etc/postfix/postgrey_whitelist_recipients
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}
md5sums="524a4e165bf997996f3bccade394712f postgrey-1.32.tar.gz
caaad5770ab07fb5af3bbd522a05b84f postgrey.confd
d0611b244202c77ad7ad79862721a738 postgrey.initd"
#!/bin/sh
addgroup postgrey 2>/dev/null
adduser -H -h /dev/null -s /bin/false -D postgrey 2>/dev/null
exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment